Pin or unpin a campaign
curl --request POST \
--url https://api.salessequencer.com/api/v1/campaigns/{campaign_id}/pin \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"pinned": true
}'import requests
url = "https://api.salessequencer.com/api/v1/campaigns/{campaign_id}/pin"
payload = { "pinned": True }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pinned: true})
};
fetch('https://api.salessequencer.com/api/v1/campaigns/{campaign_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Campaigns
Pin or unpin a campaign
Sets pinned. Pinned campaigns are listed first on the campaigns page and in GET /campaigns/list (newest first within pinned, then everything else newest first). The pin is workspace-wide, not per user. Omitting the field or sending false unpins. Nothing else about the campaign changes. 404 if the campaign is not in the workspace.
Minimum role: edit (x-min-role). Destructive: false (x-destructive).
POST
/
campaigns
/
{campaign_id}
/
pin
Pin or unpin a campaign
curl --request POST \
--url https://api.salessequencer.com/api/v1/campaigns/{campaign_id}/pin \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{
"pinned": true
}'import requests
url = "https://api.salessequencer.com/api/v1/campaigns/{campaign_id}/pin"
payload = { "pinned": True }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pinned: true})
};
fetch('https://api.salessequencer.com/api/v1/campaigns/{campaign_id}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));